io.undertow.security.api

## Interface SecurityContextFactory

All Known Implementing Classes:
  SecurityContextFactoryImpl

Deprecated.
Instead extend AbstractSecurityContextAssociationHandler to provide alternative contexts.

    @Deprecated
    public interface SecurityContextFactory

Interface that must be implemented by factories of `SecurityContext` instances.

Author:
  Stefan Guilhen

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`SecurityContext` `createSecurityContext(HttpServerExchange exchange, AuthenticationMode mode, IdentityManager identityManager, String programmaticMechName)` Deprecated. Instantiates and returns a `SecurityContext` using the specified parameters.

### Method Detail

#### createSecurityContext

    SecurityContext createSecurityContext(HttpServerExchange exchange,
                                          AuthenticationMode mode,
                                          IdentityManager identityManager,
                                          String programmaticMechName)

Deprecated.

Instantiates and returns a `SecurityContext` using the specified parameters.

Parameters:
  `exchange` - the `HttpServerExchange` instance.
  `mode` - the `AuthenticationMode`.
  `identityManager` - the `IdentityManager` instance.
  `programmaticMechName` - a `String` representing the programmatic mechanism name. Can be null.
Returns:
  the constructed `SecurityContext` instance.